Bug 124502

Summary: [REPOCOPY][PATCH] devel/dumb -> audio/dumb, take maint, fix on amd64
Product: Ports & Packages Reporter: Dmitry Marakasov <amdmi3>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
dumb.patch
none
file.diff none

Description Dmitry Marakasov 2008-06-12 05:50:03 UTC
* Move devel/dumb to audio/dumb, where it clearly belongs
* Take maintainership
* Add -fPIC on 64bit archs, so other software can actually link with -ldumb on !i386 (tested with audacious-dumb on amd64)
* Use SF macro
* Remove useless debug library

This PR also contains patch for audio/audacious-dump, which depends on dumb. Description for it:
* Depend on dumb library, instead of test binary
* Change path to dumb port according to repocopy
* Remove ONLY_FOR_ARCHS=i386, as it will now link with -ldumb without problems on amd64 and (most likely) other architectures

Preferred order of updates is:
- Repocopy devel/dumb -> audio/dumb
- Update audio/dumb with the patch attached
- Update audio/audacious-dumb with the other patch attached
- Remove devel/dumb

Also please don't forget to add MOVED entry :)
Comment 1 Edwin Groothuis freebsd_committer 2008-06-12 05:50:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov 2008-06-12 15:13:38 UTC
> >Synopsis:       [REPOCOPY][PATCH] devel/dumb -> audio/dumb, take maint, fix on amd64

ehaupht@ approved patch to audio/audacious-dumb via private email.

-- 
Dmitry A. Marakasov    | jabber: amdmi3@jabber.ru
amdmi3@amdmi3.ru       | http://www.amdmi3.ru
Comment 3 Edwin Groothuis freebsd_committer 2008-06-18 23:53:44 UTC
State Changed
From-To: open->repocopy

Over to portmgr for repocopy. 


Comment 4 Edwin Groothuis freebsd_committer 2008-06-18 23:53:44 UTC
Responsible Changed
From-To: miwi->portmgr

Over to portmgr for repocopy
Comment 5 Joe Marcus Clarke freebsd_committer 2008-06-22 18:55:33 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2008-06-22 18:55:33 UTC
Responsible Changed
From-To: portmgr->edwin

Repocopy complete.
Comment 7 dfilter service freebsd_committer 2008-06-22 20:16:58 UTC
amdmi3      2008-06-22 19:16:53 UTC

  FreeBSD ports repository

  Modified files:
    audio/dumb           Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Forced commit to note repocopy devel/dumb -> audio/dumb
  
  PR:             ports/124502
  Submitted by:   myself
  Approved by:    miwi (mentor)
  Repocopied by:  marcus
  
  Revision  Changes    Path
  1.8       +0 -0      ports/audio/dumb/Makefile
  1.4       +0 -0      ports/audio/dumb/distinfo
  1.2       +0 -0      ports/audio/dumb/pkg-descr
  1.3       +0 -0      ports/audio/dumb/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2008-06-22 20:53:47 UTC
amdmi3      2008-06-22 19:53:41 UTC

  FreeBSD ports repository

  Modified files:
    audio/audacious-dumb Makefile 
  Log:
  - devel/dumb was moved to audio/dumb
  - depend on libdumb.a library instead of dumbout
  - remove ONLY_FOR_ARCHS, as dumb is now usable on 64bit architectures
  
  PR:             ports/124502
  Submitted by:   myself
  Approved by:    miwi (mentor), ehaupt (maintainer, via private email)
  
  Revision  Changes    Path
  1.8       +2 -4      ports/audio/audacious-dumb/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2008-06-22 21:11:11 UTC
amdmi3      2008-06-22 20:11:06 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    devel                Makefile 
  Removed files:
    devel/dumb           Makefile distinfo pkg-descr pkg-plist 
    devel/dumb/files     config.txt patch-Makefile 
  Log:
  - Remove devel/dumb (dumb moved to audio/)
  
  PR:             ports/124502
  Submitted by:   myself
  Approved by:    miwi (mentor)
  
  Revision  Changes    Path
  1.1631    +2 -1      ports/MOVED
  1.3114    +0 -1      ports/devel/Makefile
  1.8       +0 -42     ports/devel/dumb/Makefile (dead)
  1.4       +0 -3      ports/devel/dumb/distinfo (dead)
  1.2       +0 -4      ports/devel/dumb/files/config.txt (dead)
  1.4       +0 -57     ports/devel/dumb/files/patch-Makefile (dead)
  1.2       +0 -3      ports/devel/dumb/pkg-descr (dead)
  1.3       +0 -9      ports/devel/dumb/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Edwin Groothuis freebsd_committer 2008-06-22 22:55:46 UTC
Responsible Changed
From-To: edwin->amdmi3

Over to maintainer / submitter
Comment 11 Dmitry Marakasov freebsd_committer 2008-06-22 23:09:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 12 Dmitry Marakasov freebsd_committer 2008-08-07 16:45:12 UTC
Responsible Changed
From-To: amdmi3->portmgr

Over to portmgr for repocopy
Comment 13 Dmitry Marakasov freebsd_committer 2008-08-07 17:51:30 UTC
Responsible Changed
From-To: portmgr->amdmi3

Modified wrong PR